Subject: Re: UBIFS problem on MPC8536DS

From: Felix Radensky <[email-masked]>
Date: Fri, 16 Oct 2009 07:01:43 +0200

Hi, Scott

Scott Wood wrote:
> Scott Wood wrote:
>> Felix Radensky wrote:
>>> Yes, NAND and NOR are on the same local bus controller.
>>>
>>> Maybe powerpc folks can provide some insight here.
>>> Is it possible that simultaneous access to NOR and NAND
>>> on MPC8536 can result in NAND timeouts ?
>>
>> I've heard other reports of such problems with eLBC, but was unable to 
>> reproduce it myself last time I tried.  Could you reduce this down to 
>> a minimal set of specific reproduction instructions (e.g. eliminate 
>> UBI if possible, or else explain how to set up UBI)?
> 
> OK, I was able to reproduce the problem on mpc8572 simply by sticking a 
> read to NOR flash inside fsl_elbc_run_command -- I'm not sure what 
> happened last time I tried.
> 
> I suppose we'll need a special NOR mapping driver that does some sync 
> with the NAND driver.
> 
> 

Thanks for confirmation. So the real problem is eLBC ?
What happens if I access other devices on eLBC (e.g. FPGA)
simultaneously with NAND or NOR ?

Felix.